//
//  PuntuacionesTableViewController.m
//  EjemploTablaDatos
//
//  Created by imacrcanales on 05/11/12.
//  Copyright (c) 2012 Autentia. All rights reserved.
//

#import "PuntuacionesTableViewController.h"
#import "AppDelegate.h"
#import "GestorPuntuaciones.h"
#import "DetallePuntuacionViewController.h"


@interface PuntuacionesTableViewController ()

@end

@implementation PuntuacionesTableViewController

- (id)initWithStyle:(UITableViewStyle)style
{
    self = [super initWithStyle:style];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
}

#pragma mark - Table view data source

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
    return 1;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    GestorPuntuaciones* gestor = (GestorPuntuaciones*)[(AppDelegate*)([[UIApplication sharedApplication] delegate]) getGestorPuntuaciones];
    
    NSInteger nFilas = [gestor numeroPuntuaciones];
    NSLog(@"Retornamos el numero de filas %d",nFilas);
    
    return nFilas;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *CellIdentifier = @"celdaPrototipo";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier forIndexPath:indexPath];
    
    GestorPuntuaciones* gestor = (GestorPuntuaciones*)[(AppDelegate*)([[UIApplication sharedApplication] delegate]) getGestorPuntuaciones];
    Puntuacion* pAux = [gestor damePuntuacionConClave:[indexPath row]];
    
    cell.textLabel.text = pAux.nombre;
    cell.detailTextLabel.text = [NSString stringWithFormat:@"%d", (int) pAux.puntuacion];
    
    // seria una imagen de trofeo de primero
    if( [indexPath row] == 0){
        cell.imageView.image = [UIImage imageNamed:@"Default.png"];
        
    }
    
    return cell;

}




- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender

{
    
    if ([[segue identifier] isEqualToString:@"detallePuntuacion"]) {
        
        DetallePuntuacionViewController *vistaHija = [segue destinationViewController];
        
        NSIndexPath *indexPath = [self.tableView indexPathForSelectedRow];
        
        GestorPuntuaciones* gestor = (GestorPuntuaciones*)[(AppDelegate*)([[UIApplication sharedApplication] delegate]) getGestorPuntuaciones];
        
        vistaHija.pAux = [gestor damePuntuacionConClave:[indexPath row]];
        
    }
    
}

/*
// Override to support conditional editing of the table view.
- (BOOL)tableView:(UITableView *)tableView canEditRowAtIndexPath:(NSIndexPath *)indexPath
{
    // Return NO if you do not want the specified item to be editable.
    return YES;
}
*/

/*
// Override to support editing the table view.
- (void)tableView:(UITableView *)tableView commitEditingStyle:(UITableViewCellEditingStyle)editingStyle forRowAtIndexPath:(NSIndexPath *)indexPath
{
    if (editingStyle == UITableViewCellEditingStyleDelete) {
        // Delete the row from the data source
        [tableView deleteRowsAtIndexPaths:@[indexPath] withRowAnimation:UITableViewRowAnimationFade];
    }   
    else if (editingStyle == UITableViewCellEditingStyleInsert) {
        // Create a new instance of the appropriate class, insert it into the array, and add a new row to the table view
    }   
}
*/

/*
// Override to support rearranging the table view.
- (void)tableView:(UITableView *)tableView moveRowAtIndexPath:(NSIndexPath *)fromIndexPath toIndexPath:(NSIndexPath *)toIndexPath
{
}
*/

/*
// Override to support conditional rearranging of the table view.
- (BOOL)tableView:(UITableView *)tableView canMoveRowAtIndexPath:(NSIndexPath *)indexPath
{
    // Return NO if you do not want the item to be re-orderable.
    return YES;
}
*/

#pragma mark - Table view delegate

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    // Navigation logic may go here. Create and push another view controller.
    /*
     <#DetailViewController#> *detailViewController = [[<#DetailViewController#> alloc] initWithNibName:@"<#Nib name#>" bundle:nil];
     // ...
     // Pass the selected object to the new view controller.
     [self.navigationController pushViewController:detailViewController animated:YES];
     */
}

@end
