//
//  PruebaGestorPuntuaciones.m
//  EjemploTablaDatos
//
//  Created by imacrcanales on 05/11/12.
//  Copyright (c) 2012 Autentia. All rights reserved.
//

#import "PruebaGestorPuntuaciones.h"
#import "Puntuacion.h"

@implementation PruebaGestorPuntuaciones

- (void)setUp
{
    [super setUp];

    // asignamos memoria e inicializamos el objeto
    self.pGestor = [[GestorPuntuaciones alloc] init];
}

- (void)testSumaPrimerElemento
{
    // nos aseguramos que el gestor no es nulo
    STAssertTrue(self.pGestor != nil ,@"El gestor debeestar inicializado");
    
    // creamos objeto que represente la puntuación
    Puntuacion *pAux = [[Puntuacion alloc] initConNombre: @"Roberto" yPuntuacion:100];
    NSInteger elementos = [self.pGestor sumaPuntuacion:pAux];

    // nos aseguramos que el numero de elementos es distinto de cero
    STAssertTrue(elementos != 0 ,@"Se añaden elementos");

    // accedemos al método para retornar el número de elementos y consultamos
    STAssertTrue([self.pGestor numeroPuntuaciones] !=0 ,@"El array no puede estar vacio");
    STAssertTrue([self.pGestor numeroPuntuaciones] == elementos ,@"El valor retornado al añadir debe ser igual que el retornado por métodp");

    // recuperamos el primer elemento asignado
    pAux = [self.pGestor damePuntuacionConClave: 0];
    
    // verificamos que no sea nulo
    STAssertTrue(pAux != nil,@"La lista no debe estar vacia");
    
    // nos aseguramos que tenga el mismo valor que introducimos
    STAssertTrue([pAux.nombre isEqualToString:@"Roberto"] == TRUE ,@"La cadena debe ser Roberto");
   
}

@end
